import javax.swing.*;
import javax.swing.JOptionPane;
import javax.swing.JTextArea;
import java.awt.Graphics;

/**
 * A test applet that shows parameters and stuff
 *
 * @author Kent Archie
 * @version 1/27/2004
 */
// all applets extend the JApplet class
public class app1 extends JApplet {

    private String showStr; // used to hold a message to be displayed
    private int times;  // how many times to display the message
    JTextArea t;   // place to display the messages

    // the init() method is called when the applet is loaded into the
   //  browser window.
   public void init() {
       String mesg = new String("");   // to hold the resulting message

      JOptionPane.showMessageDialog(null, "Init called", "Init",JOptionPane.INFORMATION_MESSAGE);
      // retrieve the value stored the in 'text' parameter from the < applet> tag
      showStr = getParameter("text");

      String timeStr = getParameter("times");
      if (showStr == null) showStr = "CIS435"; // use this if no 'text' parameter

      // use 3 as the default 'times' value otherwise convert the
      // string from the < param> tag into an integer.
      times = (timeStr == null) ? 3 : Integer.parseInt(timeStr);

      // we create a text area with times rows and enough columns to hold the string
       t = new JTextArea("",times,showStr.length());   // place to display the messages

      // now we write the string into the box several times
      for (int i = 0; i < times; i++) {
               mesg += showStr + '\n';   // put each copy of showStr on a new line
      }
      t.setText(mesg);   // display the message
      getContentPane().add(t);  // add the TextArea to the window

    } // init

   // called when the page is loaded after init() and
   // when the page is revisited after the initial load of the applet
   public void start() {
      JOptionPane.showMessageDialog(null, "start called", "start",JOptionPane.INFORMATION_MESSAGE);
   } // start

   // called when the page is left
   public void stop() {
      JOptionPane.showMessageDialog(null, "stop called", "stop",JOptionPane.INFORMATION_MESSAGE);
   } // stop

   // called when the browser is shutdown or the applet is stopped
   public void destroy() {
      JOptionPane.showMessageDialog(null, "destroy called", "destroy",JOptionPane.INFORMATION_MESSAGE);
   } // destroy
} // app1
