
/**
 * Driver for the BigNum class.
 * 
 * @author Kent Archie 
 * @version 1.0
 */
public class Main
{
    public static void main(String[] args)
    {

        if(args.length < 2) { // not enough args
            System.out.println("usage first_number second_number");
            System.exit(1);
        }
        BigNum one = new BigNum(args[0]); 
        BigNum two = new BigNum(args[1]);
 
        System.out.println("bignum one has " + one.size() + " elements " + one);
        System.out.println("bignum two has " + two.size() + " elements " + two);
 
        BigNum three=one.add(two);
        System.out.println("here is the final bignum three " + three);
    } // main
} // main class