// simplewindow.java: Create a frame 
// a frame is a basic window, just the title, close buttons, no contents
import java.awt.event.*;
import javax.swing.JFrame;
import javax.swing.JOptionPane;

public class simplewindow extends JFrame implements WindowListener {
  
  public simplewindow() {
	// when one of these is created, that makes the window
	// now we set some of its properties
    setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);  // program ends when window closes
    setTitle("Test Window Event");  // text in title bar
    setSize(500, 500);  // size in pixels
    setVisible(true);   // make sure we can see it

	// Since this object is a listener, we can register it with the runtime
    addWindowListener(this);  // Register listener
  }  // default constructor

	// now we implement the interface routines like windoelisten did
	// events we don't care about but have to implement
	// to match the interface
	public void windowDeiconified(WindowEvent event) { }
	public void windowIconified(WindowEvent event) { }
	public void windowActivated(WindowEvent event) { }
	public void windowDeactivated(WindowEvent event) { }
	public void windowOpened(WindowEvent event) { }
	public void windowClosed(WindowEvent event) { }

  public void windowClosing(WindowEvent event) {
	JOptionPane.showMessageDialog(null, "Window is closing", "Window",JOptionPane.INFORMATION_MESSAGE);
  }
  
} // simplewindow
