import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;

/*
 * Created on Feb 9, 2004
 */

/**
 * @author Kent
 */
public class files3 {

	public static void main(String[] args) {
		objectstorage disk = null;
		storage disk2 = null;
		try {
			disk = new objectstorage("objfiles3.dat");
			disk2 = new storage("datafiles3.dat");
		}
		catch(CreateFailed c) {
			System.out.println("Attempt to create " + c.getFileName() + "failed");
			System.exit(2);
		}
		
		// now loop, prompting the user for data.
		// after every time, create an info object and store it
		// into the two files.
		// quit when the last name entered is 'quit'.
		
		// we need an input stream to read from the keyboard
		BufferedReader keybd = 
			new BufferedReader(new InputStreamReader(System.in),1);
		String keydata = " ";   // to hold data form the stream
		while(true) {
			try {
			
				String lname,fname,state;
				int year;
				System.out.print("Enter your last name (or quit) ");
				keydata = keybd.readLine();  // get a line from the keyboard
				if(keydata.equals("quit")) break;
				lname = keydata;
				
				System.out.print("Enter your first name ");
				keydata = keybd.readLine();  // get a line from the keyboard
				fname = keydata;
				
				System.out.print("Enter your state initials ");
				keydata = keybd.readLine();  // get a line from the keyboard
				state = keydata;
				
				System.out.print("Enter your year in school (1,2,3,4) ");
				keydata = keybd.readLine();  // get a line from the keyboard
				year = Integer.parseInt(keydata);
				
				// got the data, create the object and store it
				info i = new info(fname,lname,state,year);
				try {
					disk.addrecord(i);
					disk2.addrecord(i);
				} catch(AddRecordFailed a) {
					System.out.println("Failed to add record for " + a.getLastName());
					System.exit(2);
				}				
			} catch(IOException e) {
				System.out.println("Can't read from the ketboard stream");
				System.exit(1);
			}
		} // input loop
		
		// close up shop
		disk.done();   disk2.done();
	} // main
} // files3
