import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;

class lab4
{
   public static void main (String[] args)
   {
      String OPTSTRING = "BbVvQq";  // legal options

      // stream to read from the keyboard. It is passed into the
      // constructor for either object we are using so that the object
      // can also read from the keyboard without having to create
      // its own object
      BufferedReader keybd = 
			new BufferedReader(new InputStreamReader(System.in),1);
      Library l = new Library();
      while(true) {
	  try {
		String keydata;
		System.out.print("Create a B)ook, a V)ideo or Q)quit (B,V,Q) ");
		keydata = keybd.readLine();  // get a line from the keyboard

		// first chck if they made a legal choice
		if(OPTSTRING.indexOf(keydata.charAt(0)) == -1 ) {
			System.out.println(keydata.charAt(0) + " is not legal");
			continue;
		}

		if(keydata.equals("q") || keydata.equals("Q")) break;
		
		if(keydata.equals("b") || keydata.equals("B")){
		    if(l.addHolding( new Book(keybd))) {
		        System.out.println("Added the book");
		    }
		    else {
		        System.out.println("Couldn't add the book");
		        break;
		    }
		} // book creation
				
		if(keydata.equals("v") || keydata.equals("V")){
		    if(l.addHolding( new Video(keybd))) {
		        System.out.println("Added the video");
		    }
		    else {
		        System.out.println("Couldn't add the video");
		        break;
		    }
		} // video creation
			
	   } catch(IOException e) {
		System.out.println("Can't read from the keyboard stream");
		System.exit(1);
	   }
	} // input loop
	if(l.getCount() > 0) {
	    l.showHoldings();
	}
	else {
	    System.out.println("There were no books or videos entered");
	}
   } // main
} // lab4
