class pizza {
	private int size; // pizza diameter
	private float cost; // cost of pizza, assumed dollars

	public pizza()
	{
		size = 0;
		cost = 0;
	} // pizza constructor no args

	public pizza(int s, float c)
	{
		size = s; cost = c;
	} // pizza constructor 2 args

	// calculate the cost per square inch
	public float getValue()
	{
		return ( cost / (float)(Math.PI *((size/2) * (size/2))));
	} //getValue

	public int getSize() { return size;}
	public float getCost() { return cost;}

	// initialize the data values
	public void setData(int s, float c)
	{
		size = s; cost = c;
	} // setData

	public String toString()
	{
		return ("Size = " + size + " cost = " + cost);
	} // toString
} // pizza