import foo;
import java.util.*;
/**
 * driver (main) for small vector example
 * 
 * @author (Kent Archie) 
 * @version (1/25/2002)
 */
public class vector
{   
    private static Vector v;
    /**
     * main
     * 
     * @param  args   command line arguments
     * @return     nothing 
     */
    public static void main(String[] args)
    {
        // create vector with 6 slots to start
        v = new Vector(6); // just references created, no objects yet
        // can't use size() here, nothing in it yet
        for(int i=0; i< 6; i++)  
            v.insertElementAt(new foo(i),i);

        printVector("Original Vector");
        incrVector(3);  // add 3 to each foo
        printVector("After increment");
        v.addElement(new foo(42));
        v.removeElementAt(3);
        printVector("After add and remove");
    } // main
    
    // use an iterator to print the vector
    private static void printVector(String str)
    {
        Iterator iter = v.iterator();  // start the iterator
        int i = 0;
        Object obj;
        foo f;
        System.out.println(str);
        while(iter.hasNext()) {
            obj = iter.next();
            f = (foo) obj;
            System.out.println("V(" + i + ") = " + f.getValue());
//            System.out.println("V(" + i + ") = " + ( (foo)v.elementAt(i)).getValue());
            i++;
        } // while
     } // printVector
    
     // add n to each foo in the vector
     private static void incrVector(int n)
     {
        for(int i=0; i < v.size(); i++) {
            ( (foo)v.elementAt(i)).setValue( ( (foo) v.elementAt(i)).getValue() + n);
        } // for
     } // incrVector
} // vector example driver
