
/**
 * Solution for Lab 1
 * 
 * @author Kent Archie
 * @version 11/18/2003
 */
public class lab1
{
    private static int sum;   // holds the sum of the two bits
    private static int carry;  // holds the carry bit
    
    /**
     * not() - can't use  the ! operatotr so we need this
     * @param x The integer to be notted
     * @return 0 if x is 1, 1 if x is 0
     */
    public static int not(int x)
    {
        if(x == 0) return 1;
        return 0;
    } // not
    
    /**
     * half_add() - takes two bits and sets the sum and carry values
    */
    public static void half_adder(int a, int b) {
        int x1 = not(a)  & b;    // not a and b
        int x2 = a & not(b);     // a and not b

        carry = a & b; // This is the carry
        sum = x1 | x2; // This is the sum
    } // half_adder
    
    /**
     * main() - does all the work
     * 
     * @param  args   command line args
     * @return     nothing
     */
    public static void main(String args[])
    {
        half_adder(1,1);
        System.out.println("1 + 1 = " + sum + " with a carry of " + carry);
        half_adder(1,0);
        System.out.println("1 + 0 = " + sum + " with a carry of " + carry);
        half_adder(0,1);
        System.out.println("0 + 1 = " + sum + " with a carry of " + carry);
        half_adder(0,0);
        System.out.println("0 + 0 = " + sum + " with a carry of " + carry);
    }
}
