// simplewindow.java: Create a frame 
// a frame is a basic window, just the title, close buttons, no contents
import javax.swing.JFrame;

public class simplewindow extends JFrame {
  
  public simplewindow() {
	// when one of these is created, that makes the window
	// now we set some of its properties
    setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);  // program ends when window closes
    setTitle("Test Window Event");  // text in title bar
    setSize(500, 500);  // size in pixels
    setVisible(true);   // make sure we can see it

	// create a listener to handle any events
	windowlisten w = new windowlisten(); 
    addWindowListener(w);  // Register listener
	// this could be compacted to
//    addWindowListener( new windowlisten() );  // Register listener
  }  // default constructor
} // simplewindow
