// simplewindow.java: Create a frame 
// a frame is a basic window, just the title, close buttons, no contents
import java.awt.event.*;
import javax.swing.JFrame;
import javax.swing.JOptionPane;

public class simplewindow extends JFrame {
  
  public simplewindow() {
	// when one of these is created, that makes the window
	// now we set some of its properties
    setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);  // program ends when window closes
    setTitle("Test Window Event");  // text in title bar
    setSize(500, 500);  // size in pixels
    setVisible(true);   // make sure we can see it

	// Since this object is a listener, we can register it with the runtime
    addWindowListener( 
		new WindowAdapter() {
  			public void windowClosing(WindowEvent event) {
				JOptionPane.showMessageDialog(null, "Window is closing", "Window",JOptionPane.INFORMATION_MESSAGE);
  			}
   	} // windowlisten
					);  // Register listener
  }  // default constructor

  
} // simplewindow
