import java.io.File;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.ObjectOutputStream;

/*
 * Created on Feb 9, 2004
 */

/**
 * @author Kent
 */
public class objectstorage {
	ObjectOutputStream data;  // file to hold the data
	String fname;  // filename
	
	// use a default name for the file
	public objectstorage() throws CreateFailed
	{
		createfile("files3.dat");
	} // objectstorage
	
	// create the file using the passed in name
	public objectstorage(String name) throws CreateFailed
	{
		try {createfile(name); }
		catch(CreateFailed c) { throw c; }
	} // objectstorage
	
	private void createfile(String s) throws CreateFailed
	{
		fname = new String(s); // save the filename
		File f = new File(fname);  // create the file object
		
		// if the files exists, don't overwrite
		if(f.exists()) {
			throw new CreateFailed(fname);
		}
		
		try {
			data = new ObjectOutputStream(new FileOutputStream(f));
		}
		catch(IOException e){
			throw new CreateFailed(fname);  // use our exception
		}
	} // createfile
	
	// add a record to the end of the file
	public void addrecord(info i) throws AddRecordFailed
	{
		try {
			data.writeObject(i);
		} catch(IOException e) {
			throw new AddRecordFailed(fname); // use our exception
		}
	} // addrecord
	
	public void done()
	{
		try {
			data.close();
		} 
		catch(IOException e) {
			System.out.println("closing data file failed");
		}
	} // done
	
} // objectstorage class
