
/**
 * Write a description of class Battery here.
 * 
 * @author Kent Archie 
 * @version 1.0
 */
public class Battery
{
    // battery types
    public final static int AA=0;
    public final static int AAA=1;
    public final static int C=2;
    public final static int D=3;
    public final static int NINE=4;
    private int type;
    private double volts;
    private double amperage;
    private int status;

    /**
     * Constructor for objects of class Battery
     */
    public Battery()
    {
        type = AA;
        volts = 1.5;
        amperage = 100.0;
        status = 0;
    } // Battery

    public Battery(int btype)
    {
        type = btype;
        switch(type) {
            case AA :  volts=1.5; amperage=100; status=0;
                break;
            case AAA : volts=1.5; amperage=100; status=0;
                break;
            case C : volts=1.5; amperage=100; status=0;
                break;
            case D : volts=1.5; amperage=100; status=0;
                break;
            case NINE : volts=9.0; amperage=100; status=0;
                break;
            default : volts=1.5; amperage=100; status=0;
                break;
        } // esac
    } // Battery

    /**
     * Return the battery type
     * 
     * @return     The battery type 
     */
    public int getType()
    {
        return type;
    } // getType

    /**
     * Return the battery volts
     * 
     * @return     The battery volts 
     */
    public double getVolts()
    {
        return volts;
    } // getVolts

    /**
     * Return the battery amperage
     * 
     * @return     The battery amperage 
     */
    public double getAmps()
    {
        return amperage;
    } // getAmps

    /**
     * Return the battery status
     * 
     * @return     The battery status 
     */
    public int getStatus()
    {
        return status;
    } // getStatus

    /** return string form of the Battery type */
    public String toString()
    {
        switch(type) {
            case AA : return("AA");
                            break;
            case AAA :  return("AAA");
                            break;
            case C :  return("C");
                            break;
            case D :  return("D");
                            break;
            case NINE :  return("9 volt");
                            break;
            default :       return("iduno");
                            break;
        } // esac
    } // toString
} // Battery
