import java.sql.*;

/**
 * Quick test of the JDBC interface
 * 
 * @author Kent Archie 
 * @version 2/25/2002
 */
public class main
{
    public static void main(String[] args)
    {
        try {
            Class.forName("sun.jdbc.odbc.JdbcOdbcDriver");
            Connection c = DriverManager.getConnection("jdbc:odbc:cis435");
            Statement s = c.createStatement();
            String query = "SELECT * FROM Instructors";
            ResultSet r = s.executeQuery(query);
            while(r.next()) {
                System.out.print("id = " + r.getInt(1) + " ");
                System.out.print("name = " + r.getString(2) + " " );
                System.out.print("phone = " + r.getString(3) + " ");
                System.out.println("extension = " + r.getString(4));
            } // while

            // now add 3 to all cs 435 grades
            Statement checkit = c.createStatement();
            String squery = "SELECT score FROM results where assignmentid=1";

            r = s.executeQuery(squery);
            System.out.println("Before update");
            while(r.next()) {           
                System.out.println("score = " + r.getInt(1));
            } // while

            Statement u = c.createStatement();
            String uquery = "update results set score = score + 3 where assignmentid=1;";
            u.executeUpdate(uquery);

            System.out.println("After update");
            r = s.executeQuery(squery);
            while(r.next()) {           
                System.out.println("score = " + r.getInt(1));
            } // while
            c.close();
        }
        catch (Exception e) {
            System.out.println(e);
        }
    } // main
} // main class
