//********************************************************************
//  Flashlight.java       Author: Kent Archie
//
//  Manipulate a flashlight
//********************************************************************

public class Flashlight
{
   //-----------------------------------------------------------------
   //  Creates and displays the Flashlight application
   //-----------------------------------------------------------------
   public static void main (String[] args)
   {
	int count = 0;
        Light flash = new Light(); 
        System.out.println(flash);
	try {
        	while(flash.pressSwitch()) {
			count++;
		}
	} catch(ComponentFailed c) {
		System.out.println("After " + count + " runs, the " + c.getPart() + " failed");
	}
        System.out.println(flash);
   } // main
} // Flashlight
